# CMA

Simple Python wrapper for the Cleveland Museum of Art API.

### Usage

#### Retrieve Artwork by ID or Accession Number
```json
cma artwork --id 123985
{
    "id": 123985,
    "accession_number": "1944.485",
    "share_license_status": "CC0",
    "current_location": "ArtLens Exhibition A",
    "title": "The Wade Cup with Animated Script",
    ...snip...
}

cma artwork --id 1944.485
{
    "id": 123985,
    "accession_number": "1944.485",
    "share_license_status": "CC0",
    "current_location": "ArtLens Exhibition A",
    "title": "The Wade Cup with Animated Script",
    ...snip...
}
```

#### ASCII Preview
```text
cma artwork --id 1944.485 --preview --pretty

Title: The Wade Cup with Animated Script
Type: Metalwork
Creator:
Culture: Iran, Seljuk Period, 13th Century
Link: https://openaccess-cdn.clevelandart.org/1944.485/1944.485_web.jpg
Preview:
################################################################################
###############################*******************##############################
#########################*********************************######################
#################**********************************************#################
############********************************************************############
########****************************************************************########
###**************************************************************************###
*************************************++*****************************************
***********######*+#*+++*+**++=+***++++=++-*++++++++*=+*++++***##%%*************
***********#*****+***+*++++++==+***++==+=+==++-=+++=++=*==++****##%*************
***********#****+***++*+=+=++==++===+=+**++=====+=**+*++=++***+*##%*************
***********######***#+*+**+++==+++==+=++++=++=+=+++++++++******####*++**********
+++++++++++**##*****+***#**++**++++*++++**+++*++=++++**+**+*+**##**++++++++++++*
+++++++++++++***+***+******+++**+*****++++=+**++++++++******###**+++++++++++++++
==============+******+++**+++**++**++++*++****+=+**+++++*++****+===============+
===-----------==+*****++++*++++++*+++++++++++++*+++*+++++***+==------------=====
-------------:::-=+***********++**++++*+++=-*=++++**++++*=++=-::::::------------
:::::::::::::::::::-=+***#***********+++***+*******+=++*+=-:::::::::::::::::::::
:::::::::::::::.......:--=+***#############%#%###*++==-:...............:::::::::
............................::-*####%##########*=:..............................
..............................:*******+**+****#*-...............................
..........:::::::::::::::::::-*##*#***+*=***#*###-:::::::::.....................
......:::::::::::::::::::::=*%##%%%%%%#%#%#%%%%%%%#+::::::::::..................
.............:::::::::::::::--=====++++++++=====--::::..........................
................................................................................
................................................................................
```